Subject: bug#43672: 28.0.50; select-frame-set-input-focus does not set focus first time called

From: martin rudalics <[email-masked]>
Date: Tue, 29 Sep 2020 16:34:18 +0200

> Indeed.  After closing the other windows

"windows"?

 > here, I saw that the frames
 > were sitting in the background, but with no way to interact with them.
 > (Even after the Emacs process was long gone.)  This has to be a bug in
 > Gnome Shell, but it means that I can't debug the reported error here, so
 > somebody else will have to look at it.

Have you tried with the simpler scenario I posted?

In either case, with xfwm here the child frame gets selected as
expected.

martin